.instructor_detail_attributes{ class: hide_instructor_detail_form(@user) }
  .row
    .col
      = render partial: 'form_errors', locals: { object: @user.instructor_detail } if @user.instructor_detail&.errors&.any?
  %h3
    = InstructorDetail.model_name.human
  = f.fields_for :instructor_detail, form_employee_detail_for_user(@user) do |ed_f|
    .form-group.row
      = ed_f.label :id_doc_type
      = ed_f.select :id_doc_type, options_for_select(InstructorDetail.id_doc_types.keys.map { |k| [t("activerecord.attributes.student_detail.id_doc_types.#{k}"), k] }, @user&.student_detail&.id_doc_type), {}, class: 'form-control'
    .form-group.row
      = ed_f.label :id_doc_series
      = ed_f.text_field :id_doc_series, class: 'form-control'
    .form-group.row
      = ed_f.label :id_doc_number
      = ed_f.text_field :id_doc_number, class: 'form-control'
    .form-group.row
      = ed_f.label :id_doc_cnp
      = ed_f.text_field :id_doc_cnp, class: 'form-control'
    .form-group.row
      = ed_f.label :id_doc_exp_date
      = ed_f.date_field :id_doc_exp_date, class: 'form-control'
    .form-group.row
      = ed_f.label :license_series
      = ed_f.text_field :license_series, class: 'form-control'
    .form-group.row
      = ed_f.label :license_exp_date
      = ed_f.date_field :license_exp_date, class: 'form-control'
    .form-group.row
      = ed_f.label :certificate_series
      = ed_f.text_field :certificate_series, class: 'form-control'
    .form-group.row
      = ed_f.label :certificate_number
      = ed_f.text_field :certificate_number, class: 'form-control'
    .form-group.row
      = ed_f.label :certificate_exp_date
      = ed_f.date_field :certificate_exp_date, class: 'form-control'
    .form-group.row
      = ed_f.label :medical_number
      = ed_f.text_field :medical_number, class: 'form-control'
    .form-group.row
      = ed_f.label :medical_exp_date
      = ed_f.date_field :medical_exp_date, class: 'form-control'
    .form-group.row
      = ed_f.label :psychological_number
      = ed_f.text_field :psychological_number, class: 'form-control'
    .form-group.row
      = ed_f.label :psychological_exp_date
      = ed_f.date_field :psychological_exp_date, class: 'form-control'
    .form-group.row
      = ed_f.label :record_number
      = ed_f.text_field :record_number, class: 'form-control'
    .form-group.row
      = ed_f.label :record_exp_date
      = ed_f.date_field :record_exp_date, class: 'form-control'
